Skip to content

Add new values to a picklist. You can add up to 1024 values to any picklist.

POST/api/{version}/objects/picklists/{picklist_name}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{picklist_name}The picklist name field value (license_type__v, product_family__c, region__c, etc.)

To add new values, use value_1, value_2, etc., set to alphanumeric values. Enter each new picklist value label as they will be displayed in the UI. Vault uses the label to create the picklist value name.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "value_1=North America" \ -d "value_2=Central America" \ -d "value_3=South America" \ https://myvault.veevavault.com/api/v20.3/objects/picklists/regions__c
{ "responseStatus": "SUCCESS", "responseMessage": "Created picklist value(s).", "picklistValues": [ { "name": "north_america__c", "label": "North America" }, { "name": "central_america__c", "label": "Central America" }, { "name": "south_america__c", "label": "South America" } ] }